## krecord 1.11.1

=== Makefile ===

default:
	./configure && make

auto:
	aclocal
	autoconf
	autoheader
	./configure && make


#########################################################
# just for me, some maintaining jobs.  Don't use them

checkit release:
	./configure && $(MAKE) $@

=== debian/changelog ===
krecord (1.11.1) unstable; urgency=low

  * NMU to get rid of RC bug
  * Allow for build on alpha (Closes: #133424)
  * Fix documentation (Closes: #136417)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 10 Mar 2002 00:35:00 -0700

krecord (1.11) unstable; urgency=low

  * new release.
  * updated priority to match the override file (extra => optional).

 -- Gerd Knorr <kraxel@debian.org>  Sun,  3 Feb 2002 16:18:16 +0100

krecord (1.10) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Fri, 25 Jan 2002 15:13:51 +0100

krecord (1.9) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Thu,  3 May 2001 11:54:24 +0200

krecord (1.8.1) unstable; urgency=low

  * fixed build dependences (closes: #89232).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 13 Mar 2001 21:39:26 +0100

krecord (1.8) unstable; urgency=low

  * new release.
  * fixed the lintan errors.

 -- Gerd Knorr <kraxel@debian.org>  Sun, 11 Mar 2001 11:01:41 +0100

krecord (1.7) unstable; urgency=low

  * debianized.

 -- Gerd Knorr <kraxel@debian.org>  Wed, 25 Oct 2000 21:04:26 +0200

=== debian/control ===
Source: krecord
Section: sound
Priority: optional
Build-Depends: debhelper (>= 2.0), libqt-dev, kdelibs-dev, autoconf, automake
Maintainer: Gerd Knorr <kraxel@debian.org>
Standards-Version: 3.5.2

Package: krecord
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE sound recorder
 This is a sound recorder for KDE.  It can just record and
 playback wav-files, that's all.

=== debian/rules ===
#!/usr/bin/make -f

# This is the debhelper compatibility version to use.
export DH_COMPAT=2

DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ("$(DEB_HOST_GNU_TYPE)", "alpha-linux")
OPT_FLAG="-O0 -mieee"
else
OPT_FLAG="-O2"
endif

build: build-stamp
build-stamp:
	dh_testdir
	aclocal
	autoconf
	autoheader
	CFLAGS=$(OPT_FLAG) \
	CXXFLAGS=$(OPT_FLAGS) \
	./configure --prefix=/usr
	make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) BUILDROOT=`pwd`/debian/`dh_listpackages` install

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs		README Changes
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
	dh_undocumented		krecord.1
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## krecord 1.15.1

=== debian/changelog ===
krecord (1.15.1) unstable; urgency=low

  * fix build-depends (closes: #218274).
  * fix kdedirs script (closes: #224680, #222879).

 -- Gerd Knorr <kraxel@debian.org>  Sun,  4 Jan 2004 15:06:28 +0100

krecord (1.15) unstable; urgency=low

  * new release.
  * removed special handling for alpha (closes: #195928).
  * fix install paths (closes: #210959).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 29 Sep 2003 18:15:43 +0200

krecord (1.14) unstable; urgency=low

  * new release (closes: #181657).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 15 Apr 2003 14:35:25 +0200

krecord (1.13) unstable; urgency=low

  * new release (closes: #175081).

 -- Gerd Knorr <kraxel@debian.org>  Fri, 17 Jan 2003 18:14:14 +0100

krecord (1.12) unstable; urgency=low

  * new release (closes: #136417, #133424,#159726,#153482,#159130).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 18 Nov 2002 12:49:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: krecord
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 2.0), libqt-dev, kdelibs-dev, autoconf, automake
+Build-Depends: debhelper (>= 2.0), kdebase-dev, gettext
 Maintainer: Gerd Knorr <kraxel@debian.org>
-Standards-Version: 3.5.2
+Standards-Version: 3.6.1
 
 Package: krecord
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# cflags
ifneq ($(DEB_BUILD_OPTIONS),)
  CFLAGS  := $(DEB_BUILD_OPTIONS)
else
  CFLAGS  := -Wall -O2
endif

# other variables
DH_COMPAT := 4
QTDIR     := /usr/share/qt3
KDEDIR    := /usr
export DH_COMPAT QTDIR KDEDIR CFLAGS


#######################################################################################
# rules

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) prefix=$(KDEDIR)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` prefix=$(KDEDIR) install

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs		README Changes
#	dh_installmenu
#	dh_installmime
#	dh_installmanpages
#	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
